Subject: bug#51446: [PATCH] image-dired: Unreverse accidentally reversed menus

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Oct 2021 09:57:54 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 27 Oct 2021 12:36:05 -0700
> 
>     image-dired: Unreverse accidentally reversed menus
> 
>     * lisp/image-dired.el (image-dired-thumbnail-mode-map)
>     (image-dired-display-image-mode-map, image-dired-minor-mode-map):
>     In commits b905454680c7 and bed0373855ea, the menus were converted to
>     use 'easy-menu-define', but they were reversed in the process.
>     Unreverse the menus.
> 
> Eli and Lars, is the attached bug fix acceptable for 28.1?  This merely
> reverses the menus and does nothing else.  The change as such is a
> mechanical one, and after adjusting one two-line entry really just comes
> down to a `reverse-region', so I think it should be safe.

I don't understand: I seem to see the same order of the menu items in
Emacs 27 and on the current release branch, so what am I missing?